#include <iostream>
#include <queue>
#include <vector>

int cokoladice(std::priority_queue<int, std::vector<int>, std::less<int>> &heap, int t)
{
    int sum = 0;

    for (int i = 0; i < t; i++) {
        int tmp = heap.top();
        sum += tmp;
        heap.pop();
        heap.push(tmp / 2);
    }

    return sum;
}

int main ()
{
    int n, t;

    std::cin >> n >> t;

    std::vector<int> a(n);

    for (int i = 0; i < n; i++) {
        std::cin >> a[i];
    }

    std::priority_queue<int, std::vector<int>, std::less<int>> heap;

    for (int i = 0; i < n; i++) {
        heap.push(a[i]);
    }

    std::cout << cokoladice(heap, t) << "\n";

    return 0;
}