#include <iostream>
#include <vector>
#include <stack>

int main ()
{
    std::vector<int> push = {1, 2, 3, 3, 4, 5};
    std::vector<int> pop = {3, 3, 5, 4, 2, 1};

    std::stack<int> stek;
    int n = 6;

    std::vector<std::string> naredbe(2 * n);

    bool postoji_resenje = true;

    int push_index = 0, pop_index = 0;

    while(push_index < n || pop_index < n) {
        if(!stek.empty() && stek.top() == pop[pop_index]) {
            naredbe.push_back("pop");
            stek.pop();
            pop_index++;
        }
        else if(push_index < n) {
            naredbe.push_back("push");
            stek.push(push[push_index]);
            push_index++;
        }
        else{
            postoji_resenje = false;
            break;
        }
    }

    if(postoji_resenje) {
        for(const std::string& s : naredbe) {
            std::cout << s << std::endl;
        }
    }
    else {
        std::cout << "-" << std::endl;
    }
}